## sonic-visualiser 4.0

=== debian/changelog ===
sonic-visualiser (4.0-1) unstable; urgency=medium

  * New upstream version 4.0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Install helpers to a place where upstream looks for them
    * Drop obsolete patch for Debian specific helper directory
  * Use B-D on versioned debhelper-compat instead of d/compat
  * Declare that "root" is not required to build this package
  * Update d/copyright
    * Refresh d/copyright_hints
    * Remove unused licenses
    * Exclude repository tweaks from upstream

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Nov 2019 16:31:02 +0100
