=== debian/changelog ===
sonic-visualiser (4.0.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:47 +0100

sonic-visualiser (4.0.1-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 4.0.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add note on how to properly import upstream sources

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 10:01:20 +0100
