=== debian/changelog ===
sonic-visualiser (4.2-1) unstable; urgency=medium

  * New upstream version 4.2
  * Appending hardening CPPFLAGS to CXXFLAGS
    * Include buildflags.mk
  * Remove redundant file-stanzas from d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Aug 2020 22:42:37 +0200

sonic-visualiser (4.1-1) unstable; urgency=medium

  * New upstream version 4.1 (Closes: #964643)

  * Adjust OSC-documentation path
  * Let the build-system invoke 'capnp'
    * Fix path to vamp-capnp in "clean" target
  * Add CI-configuration
  * Update dates in d/copyright
    * Regenerate d/copyright_hints
  * Bump dh-compat to 13
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Jul 2020 14:58:01 +0200
