=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev,
@@ -36,7 +36,7 @@
  libx11-dev,
  portaudio19-dev,
  vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
