=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_CXXFLAGS_MAINT_APPEND=-std=c++14
+include /usr/share/dpkg/buildflags.mk
+
+DEB_CXXFLAGS_MAINT_APPEND=-std=c++14 $(CPPFLAGS)
 DEB_LDFLAGS_MAINT_APPEND=
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
     DEB_CXXFLAGS_MAINT_APPEND+=-ffloat-store
@@ -20,21 +22,22 @@
 
 export QT_SELECT=qt5
 
+vamp-capnp=$(CURDIR)/piper-vamp-cpp/vamp-capnp
+
 %:
 	dh $@
 
 override_dh_auto_build:
 	mkdir -p $(CURDIR)/tmp
 	cp $(CURDIR)/debian/missing-sources/piper.capnp \
-		$(CURDIR)/piper-vamp-cpp/vamp-capnp
-	capnp compile -o c++ $(CURDIR)/piper-vamp-cpp/vamp-capnp/piper.capnp
+		$(vamp-capnp)
 	dh_auto_build
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp
-	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.c++
-	rm -f $(CURDIR)/piper-cpp/vamp-capnp/piper.capnp.h
+	rm -f $(vamp-capnp)/piper.capnp
+	rm -f $(vamp-capnp)/piper.capnp.c++
+	rm -f $(vamp-capnp)/piper.capnp.h
 	rm -rf $(CURDIR)/tmp
 
 override_dh_auto_install:
