=== debian/changelog ===
sonic-visualiser (4.4-3build1) jammy; urgency=medium

  * No-change rebuild against libcapnp-0.8.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Mar 2022 17:01:27 +0000

sonic-visualiser (4.4-3) unstable; urgency=medium

  * Increase test timeout (to allow building on slow archs)
    (Closes: #1000702 (next stage))
  * Use execute_{before,after}_dh... rather than override_dh_...

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Nov 2021 12:47:35 +0100

sonic-visualiser (4.4-2) unstable; urgency=medium

  * Link with libatomic on architectures without built-in atomic
    (Closes: #1000702)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 27 Nov 2021 22:08:55 +0100

sonic-visualiser (4.4-1) unstable; urgency=medium

  * New upstream version 4.4

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * B-D on 'meson'
  * Install helpers via the dh_auto_install override
  * Compress with xz
  * Update d/watch
  * Apply 'wrap-and-sort -ast'
  * Drop d/copyright entry for non-existing files
    * Regenerate d/copyright_hints
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Sep 2021 18:15:41 +0200
