=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ capnproto,
  debhelper-compat (= 13),
- qt5-qmake,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
- libqt5svg5-dev,
  libbz2-dev,
- capnproto,
  libcapnp-dev (>= 0.6.0),
  libdataquay-dev (>= 0.9-3),
  libfftw3-dev,
@@ -23,10 +19,11 @@
  libjack-dev,
  liblo-dev,
  liblrdf0-dev,
- libopusfile-dev,
  libmad0-dev,
  liboggz2-dev,
+ libopusfile-dev,
  libpulse-dev,
+ libqt5svg5-dev,
  librdf0-dev,
  librubberband-dev,
  libsamplerate0-dev,
@@ -34,9 +31,14 @@
  libsndfile1-dev,
  libsord-dev,
  libx11-dev,
+ meson,
  portaudio19-dev,
- vamp-plugin-sdk (>= 2.5),
-Standards-Version: 4.5.0
+ qt5-qmake,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ vamp-plugin-sdk,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
