=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,19 @@
 
 include /usr/share/dpkg/buildflags.mk
 
+noatomicarch = $(shell dpkg-architecture -qDEB_HOST_ARCH | egrep -x "(armel|powerpc|powerpcspe|m68k|mips|mipsel|sh4)")
+
 DEB_CXXFLAGS_MAINT_APPEND=-std=c++14 $(CPPFLAGS)
 DEB_LDFLAGS_MAINT_APPEND=
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
     DEB_CXXFLAGS_MAINT_APPEND+=-ffloat-store
 endif
 DEB_LDFLAGS_MAINT_APPEND+= -Wl,--as-needed
+
+# link with libatomic on architectures without built-in atomic
+ifeq ($(if $(noatomicarch),atomic), atomic)
+	DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
 
 export DEB_CXXFLAGS_MAINT_APPEND
 export DEB_LDFLAGS_MAINT_APPEND
@@ -27,25 +34,25 @@
 %:
 	dh $@
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	mkdir -p $(CURDIR)/tmp
 	cp $(CURDIR)/debian/missing-sources/piper.capnp \
 		$(vamp-capnp)
-	dh_auto_build
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f $(vamp-capnp)/piper.capnp
 	rm -f $(vamp-capnp)/piper.capnp.c++
 	rm -f $(vamp-capnp)/piper.capnp.h
 	rm -rf $(CURDIR)/tmp
 
-override_dh_auto_install:
-	dh_auto_install -- \
-		INSTALL_ROOT='$$(DESTDIR)' \
-		$(empty)
-	rm -rf $(CURDIR)/debian/*/usr/tests/
-	find $(CURDIR)/debian/sonic-visualiser/usr/bin/ -type f -name "*vamp*" -delete
+# Increase test timeout
+override_dh_auto_test:
+	dh_auto_test -- -t 100
+
+execute_after_dh_auto_install:
+	rm -rvf $(CURDIR)/debian/*/usr/tests/
+	mkdir -p $(CURDIR)/debian/sonic-visualiser/usr/lib/sonic-visualiser/
+	find $(CURDIR)/debian/sonic-visualiser/usr/bin/ -type f -name "*vamp*" -exec mv -v {} $(CURDIR)/debian/sonic-visualiser/usr/lib/sonic-visualiser/ ";"
 
 licensecheck:
 	licensecheck --deb-machine -r * \
