=== debian/watch ===
version=4
opts=dversionmangle=auto,uversionmangle=s/(pre|rc)/~$1/ \
https://github.com/sonic-visualiser/sonic-visualiser/releases/ \
	.*/download.*/sonic-visualiser-@ANY_VERSION@@ARCHIVE_EXT@
