=== debian/changelog ===
sonic-visualiser (4.5-3) unstable; urgency=medium

  * d/watch: switch to github API
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 10:39:25 +0200

sonic-visualiser (4.5-2) unstable; urgency=medium

  * Add patch to prevent underlinking with libserd-0 (Closes: #1016233)
  * Update lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 05 Aug 2022 20:24:37 +0200

sonic-visualiser (4.5-1) unstable; urgency=medium

  * New upstream version 4.5

  * Update d/copyright
    * Bump copyright dates
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Apr 2022 11:05:51 +0200
