=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -38,7 +37,7 @@
  qttools5-dev,
  qttools5-dev-tools,
  vamp-plugin-sdk,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
