=== debian/changelog ===
sonic-visualiser (4.5.1-1build1) lunar; urgency=medium

  * No-change rebuild against libcapnp-0.9.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Feb 2023 16:21:40 +0000

sonic-visualiser (4.5.1-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 4.5.1
    + Refresh patches
  * Update d/copyright
    + Bump dates
    + Regenerate d/copyright_hints

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 15 Nov 2022 00:19:03 +0100
