=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -10,8 +11,8 @@
  capnproto,
  debhelper-compat (= 13),
  libbz2-dev,
- libcapnp-dev (>= 0.6.0),
- libdataquay-dev (>= 0.9-3),
+ libcapnp-dev,
+ libdataquay-dev,
  libfftw3-dev,
  libfishsound1-dev,
  libid3tag0-dev,
