=== debian/changelog ===
sonic-visualiser (4.5.2-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:20 +1100

sonic-visualiser (4.5.2-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:09:44 +0000

sonic-visualiser (4.5.2-2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:03:17 +0000

sonic-visualiser (4.5.2-2) unstable; urgency=medium

  * Use d/clean rather than overriding dh_auto_clean
  * Cleanup intermediate test results (Closes: #1046397)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 22 Jan 2024 12:53:39 +0100

sonic-visualiser (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2
    + Refresh patches
  * Update d/copyright
    + Bump copyright dates
    + Update 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 18:05:46 +0200
