=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  qttools5-dev,
  qttools5-dev-tools,
  vamp-plugin-sdk,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
