=== debian/rules ===
--- 
+++ 
@@ -39,12 +39,6 @@
 	cp $(CURDIR)/debian/missing-sources/piper.capnp \
 		$(vamp-capnp)
 
-execute_after_dh_auto_clean:
-	rm -f $(vamp-capnp)/piper.capnp
-	rm -f $(vamp-capnp)/piper.capnp.c++
-	rm -f $(vamp-capnp)/piper.capnp.h
-	rm -rf $(CURDIR)/tmp
-
 # Increase test timeout
 override_dh_auto_test:
 	dh_auto_test -- -t 100
@@ -54,8 +48,14 @@
 	mkdir -p $(CURDIR)/debian/sonic-visualiser/usr/lib/sonic-visualiser/
 	find $(CURDIR)/debian/sonic-visualiser/usr/bin/ -type f -name "*vamp*" -exec mv -v {} $(CURDIR)/debian/sonic-visualiser/usr/lib/sonic-visualiser/ ";"
 
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|i18n/sonic-visualiser_.*\.qm|svcore/data/fileio/test/encodings/.*\..*|svcore/data/fileio/test/audio/.*/.*\..*|bqaudiostream/test/testfiles/.*\..*|bqresample/test/e2e/sweep-log.wav|icons/.*\.png|icons/.*\.gif|samples/.*\.wav
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	licensecheck --deb-machine -r * \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints
