=== debian/changelog ===
sonic-visualiser (5.0.1-1build1) plucky; urgency=medium

  * No-change rebuild for libcapnp-1.1.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 13 Jan 2025 09:49:29 +0000

sonic-visualiser (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
    + Refresh patches
  * Use vendored dataquay (Closes: #1080495)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Oct 2024 10:39:06 +0200

sonic-visualiser (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
    + Refresh patches
    + Drop obsolete patches
  * Switch to Qt6
  * Drop explicit setting of C++-standard
  * Make sure to link svcore against the system's libdataquay
  * Update d/copyright
    + Bump dates
    + Regenerate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Aug 2024 09:29:27 +0200
