=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sonic-visualiser
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -23,7 +22,7 @@
  liboggz2-dev,
  libopusfile-dev,
  libpulse-dev,
- libqt5svg5-dev,
+ libqt6svg6-dev,
  librdf0-dev,
  librubberband-dev,
  libsamplerate0-dev,
@@ -33,12 +32,11 @@
  libx11-dev,
  meson,
  portaudio19-dev,
- qt5-qmake,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
+ qt6-base-dev,
+ qt6-base-dev-tools,
+ qt6-pdf-dev,
  vamp-plugin-sdk,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
