## sonic-visualiser 5.2

=== debian/changelog ===
sonic-visualiser (5.2-1) unstable; urgency=medium

  * New upstream version 5.2
    + Refresh patches
  * Update d/copyright
    + Bump dates
    + Add new files
    + Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Mar 2025 20:55:45 +0100
