## sonic-visualiser 5.2.1

=== meson_options.txt ===
option('no_qt',
       type: 'boolean',
       value: 'false',
       description: 'Build only the small utilities that do not use Qt.')
