=== debian/changelog ===
sonic-visualiser (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Mar 2025 13:32:21 +0100
