=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  capnproto,
- debhelper-compat (= 13),
  libbz2-dev,
  libcapnp-dev,
  libdataquay-dev,
@@ -36,7 +36,7 @@
  qt6-base-dev-tools,
  qt6-pdf-dev,
  vamp-plugin-sdk,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.sonicvisualiser.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/sonic-visualiser.git
