=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 noatomicarch = $(shell dpkg-architecture -qDEB_HOST_ARCH | egrep -x "(armel|powerpc|powerpcspe|m68k|mips|mipsel|sh4)")
 
-DEB_CXXFLAGS_MAINT_APPEND=-std=c++14 $(CPPFLAGS)
+DEB_CXXFLAGS_MAINT_APPEND=$(CPPFLAGS)
 DEB_LDFLAGS_MAINT_APPEND=
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
     DEB_CXXFLAGS_MAINT_APPEND+=-ffloat-store
@@ -27,7 +27,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND
 export DEB_LDFLAGS_MAINT_APPEND
 
-export QT_SELECT=qt5
+export QT_SELECT=qt6
 
 vamp-capnp=$(CURDIR)/piper-vamp-cpp/vamp-capnp
