=== debian/watch ===
## github broke the releases page, so we now have to use the API...
version=4
opts="searchmode=plain, \
  uversionmangle=s/(pre|rc)/~$1/, \
  dversionmangle=auto" \
	https://api.github.com/repos/sonic-visualiser/sonic-visualiser/releases \
	https://github.com/sonic-visualiser/sonic-visualiser/releases/download/[a-zA-Z0-9_.-]*/sonic-visualiser@ANY_VERSION@@ARCHIVE_EXT@
